Installation von Psych

Wie erweitere ich R um eigene Funktionen oder Pakete? Welches Paket ist passend für meine Fragestellung?

Moderatoren: EDi, jogo

Antworten
Lex99
Beiträge: 1
Registriert: So Mai 17, 2020 4:57 pm

Installation von Psych

Beitrag von Lex99 »

Moin! ich bin neu bei R und versuche nun seit Tagen das Paket "Psych" zu installieren. Es will einfach nicht. Hier ein paar Rahmendaten:

Mac mit iOS 10.15.3
R Studio: 1.2.5042

Ich habe nun versucht, Psych über pacman zu laden, geht nicht. Ich habe es auch ohne pacman versucht... dann erzählt mir R immer von seinen zig anderen Wehwechen... als Anfänger guckt man da echt aus der Wäsche!! Ich halte mich hier nur mit Youtube-Tutorien über Wasser. Falls jemand helfen könnte, wäre ich mega dankbar!!

> p_load(psych)
Fehler in p_load(psych) : konnte Funktion "p_load" nicht finden
> pacman::p_load(pacman, psych)
also installing the dependency ‘mnormt’


There is a binary version available but the source version is later:
binary source needs_compilation
mnormt 1.5-6 1.5-7 TRUE

Do you want to install from sources the package which needs compilation? (Yes/no/cancel) yes
versuche URL 'https://cran.rstudio.com/bin/macosx/el- ... .12.31.tgz'
Content type 'application/x-gzip' length 3777566 bytes (3.6 MB)
==================================================
downloaded 3.6 MB


The downloaded binary packages are in
/var/folders/4c/htwb0mzx0dd_y1rf1lrr33840000gn/T//RtmpP2XifA/downloaded_packages
installing the source package ‘mnormt’

versuche URL 'https://cran.rstudio.com/src/contrib/mn ... 5-7.tar.gz'
Content type 'application/x-gzip' length 39718 bytes (38 KB)
==================================================
downloaded 38 KB

* installing *source* package ‘mnormt’ ...
** Paket ‘mnormt’ erfolgreich entpackt und MD5 Summen überprüft
** libs
gfortran -fPIC -g -O2 -c biv-nt.f -o biv-nt.o
gfortran-4.2: error trying to exec '/usr/local/bin/i686-apple-darwin8-gfortran-4.2': execvp: Bad CPU type in executable
make: *** [biv-nt.o] Error 255
ERROR: compilation failed for package ‘mnormt’
* removing ‘/Library/Frameworks/R.framework/Versions/3.5/Resources/library/mnormt’

The downloaded source packages are in
‘/private/var/folders/4c/htwb0mzx0dd_y1rf1lrr33840000gn/T/RtmpP2XifA/downloaded_packages’

psych installed
Warnmeldungen:
1: In utils::install.packages(package, ...) :
installation of package ‘mnormt’ had non-zero exit status
2: In pacman::p_load(pacman, psych) : Failed to install/load:
psych

Benutzeravatar
student
Beiträge: 415
Registriert: Fr Okt 07, 2016 9:52 am

Re: Installation von Psych

Beitrag von student »

Hallo Lex99,

ein paar Leute haben Deinen Beitrag schon gesehen und können wohl nicht weiterhelfen. Ich leider auch nicht, weil ich Windows-Nutzer bin. Nur habe ich ähnliche Erfahrung (per Skype) gemacht, weil mein Gegenüber einen Mac benutzte und auch mit der Installation nicht weiter kam. Vielleicht hilft es, eine ältere Version zu installieren? Schau mal hier: https://rstudio.com/resources/webinars/time-travel-r/ oder https://blog.rstudio.com/2019/01/30/tim ... ger-1-0-4/ ...
Viele Grüße,
Student
-----------------------------------------------------------------------------------------------------------------------
faes.de, Datenanalyse mit R & das Ad-Oculos-Projekt

Habe Mut, dich deines eigenen Verstandes zu bedienen! (Kant)

Antworten